Delete Bank Statement Endpoint
curl --request DELETE \
--url https://api.example.com/v2/bank-statements/{statement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/bank-statements/{statement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/bank-statements/{statement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}bank-statements
Delete Bank Statement Endpoint
Delete a Bank Statement
Delete a bank statement by ID. Statements with status ‘approved’ cannot be deleted. Admins may also delete statements with status ‘synced’, which also deletes all nested transactions. If the statement is currently being processed, the Extend workflow will be cancelled.
DELETE
/
v2
/
bank-statements
/
{statement_id}
Delete Bank Statement Endpoint
⌘I
